%define majversion %(echo %version | cut -d. -f 1-2)

Name:          liboil
Version:       0.3.17
Release:       1mamba
Summary:       A library of simple functions that are optimized for various CPU
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://liboil.freedesktop.org
Source:        http://liboil.freedesktop.org/download/liboil-%{version}.tar.gz
License:       BSD
BuildRequires: pkgconfig
BuildRequires: libglib-devel
BuildRequires: gtk-doc
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-point numbers or multiplying and
summing an array of N numbers.
Such functions are candidates for significant optimization using various 
techniques, especially by using extended instructions provided by modern CPUs
(Altivec, MMX, SSE, etc.).
Many multimedia applications and libraries already do similar things
internally.
The goal of this project is to consolidate some of the code used by various
multimedia projects, and also make optimizations easier to use by a broader
range of applications.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}

%description devel
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-point numbers or multiplying and
summing an array of N numbers. 
Such functions are candidates for significant optimization using various 
techniques, especially by using extended instructions provided by modern CPUs
(Altivec, MMX, SSE, etc.).
Many multimedia applications and libraries already do similar things 
internally.
The goal of this project is to consolidate some of the code used by various
multimedia projects, and also make optimizations easier to use by a broader
range of applications.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/oil-bugreport
%{_libdir}/*.so.*
%doc AUTHORS COPYING NEWS README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/liboil-%{majversion}/liboil
%{_includedir}/liboil-%{majversion}/liboil/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/liboil-%{majversion}.pc
%dir %{_datadir}/gtk-doc/html/liboil
%{_datadir}/gtk-doc/html/liboil/*

%changelog
* Mon Feb 08 2010 Automatic Build System <autodist@mambasoft.it> 0.3.17-1mamba
- automatic update by autodist

* Fri Apr 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.16-1mamba
- automatic update by autodist

* Wed Jul 09 2008 gil <puntogil@libero.it> 0.3.15-1mamba
- update to 0.3.15

* Tue May 23 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.9-1qilnx
- package created by autospec
